Skip to content

Fetch custom entity records by entityId/recordId or list with pagination.

Request

Security
bearerAuth and apiKeyAuth
Query
entityIdstring

Comma-separated list of entity IDs

recordIdstring

Comma-separated list of record IDs

entityTypestring

Entity type (required)

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/entity?entityId=string&recordId=string&entityType=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

row id, internally generated id, unique for an entity within entity type

entityIdstring

Id of the instance, user provided

namestring

Standard name field, every entity must have a name such that default tabular view of entity could be created.

detailstring

Optional detail field, entity may have detail field to show in tabular view

typestringrequired

Type of the instance, Id of the CustomEntitySpec to which this instance belongs

valuesobject

Attribute values

createdTimestring

Created time for the custom entity instance

createdTimeInMillisinteger, (int64)
modifiedTimestring

Last modified time for the custom entity instance

modifiedTimeInMillisinteger, (int64)
]
Response
[ { "id": "string", "entityId": "string", "name": "string", "detail": "string", "type": "string", "values": { … }, "createdTime": "string", "createdTimeInMillis": 0, "modifiedTime": "string", "modifiedTimeInMillis": 0 } ]